#!/usr/bin/env bash

set -e

# install dependencies

sudo dnf install \
    bamf-devel \
    clutter-devel \
    desktop-file-utils \
    cogl-devel \
    gettext \
    gettext-devel \
    glib2-devel \
    granite-devel \
    gnome-desktop3-devel \
    gnome-settings-daemon-devel \
    gtk3-devel \
    libcanberra-devel \
    libtool \
    plank-devel \
    mutter-devel \
    plank-devel \
    vala \
    vala-tools

# generating the gala tarball from bzr

bzr branch lp:gala

cd gala

./autogen.sh --prefix=/usr

make distcheck

mv gala*.tar.xz ../

cd ..

rm -rf gala

